For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Product
      • PATCHUpdate a single product with Json Merge Patch functionality
      • GETRetrieves List of Products based on filters provided
      • POSTCreate single product to the store
      • PUTUpdate specific channel metadata record from a variant by channel metadata ID
      • DELUsed to delete a specific channel metadata record from a variant by channel metadata ID
      • GETGet Taxonomy Parent by Id
      • GETGet Taxonomies
      • POSTUsed to Create a new Channel Metadata Entry for a given Variant
      • GETGet Packaging Requirement
      • GETGet Taxonomy by Id
LogoLogo
API ReferenceProducts

Retrieves List of Products based on filters provided

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2.0/product
GET
/2.0/product
$curl https://sandbox-api.shipbob.com/2.0/product \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "category": {
4 "id": 0,
5 "name": "string"
6 },
7 "created_on": "2019-08-24T14:15:22+00:00",
8 "id": 0,
9 "name": "string",
10 "sub_category": {
11 "id": 0,
12 "name": "string"
13 },
14 "type": "string",
15 "updated_on": "2019-08-24T14:15:22+00:00",
16 "user_id": 0,
17 "variants": [
18 {
19 "associated_bundles": [
20 {
21 "product_id": 0,
22 "product_name": "string",
23 "quantity": 0,
24 "variant_id": 0,
25 "variant_sku": "string"
26 }
27 ],
28 "barcode": "string",
29 "bundle_definition": [
30 {
31 "product_id": 0,
32 "quantity": 0,
33 "variant_id": 0,
34 "variant_name": "string",
35 "variant_sku": "string"
36 }
37 ],
38 "channel_metadata": [
39 {
40 "channel_id": 0,
41 "channel_name": "string",
42 "currency": "string",
43 "id": 0,
44 "is_inventory_sync_enabled": true,
45 "legacy_product_id": 0,
46 "platform": "string",
47 "platform_identifier": "string",
48 "platform_inventory_item_id": "string",
49 "price": 0.1,
50 "seller_sku": "string"
51 }
52 ],
53 "created_on": "2019-08-24T14:15:22+00:00",
54 "customs": {
55 "country_code_of_origin": "string",
56 "currency": "string",
57 "description": "string",
58 "hs_tariff_code": "string",
59 "is321_eligible": true,
60 "value": 0
61 },
62 "dimension": {
63 "height": 0.1,
64 "length": 0.1,
65 "unit": "string",
66 "width": 0.1
67 },
68 "fulfillment_settings": {
69 "dangerous_goods": true,
70 "is_bpm_parcel": true,
71 "is_case_pick": true,
72 "msds_url": "string",
73 "requires_prop65": true,
74 "serial_scan": {
75 "exact_character_length": 0,
76 "is_enabled": true,
77 "prefix": "string",
78 "suffix": "string"
79 }
80 },
81 "gtin": "string",
82 "id": 0,
83 "inventory": {
84 "inventory_id": 0,
85 "on_hand_qty": 0
86 },
87 "is_digital": true,
88 "lot_information": {
89 "is_lot": true,
90 "minimum_shelf_life_days": 0
91 },
92 "name": "string",
93 "packaging_material_type": {
94 "id": 0,
95 "name": "string"
96 },
97 "packaging_requirement": {
98 "id": 0,
99 "name": "string"
100 },
101 "return_preferences": {
102 "backup_action": {
103 "id": 0,
104 "name": "string"
105 },
106 "instructions": "string",
107 "primary_action": {
108 "id": 0,
109 "name": "string"
110 },
111 "return_to_sender_backup_action": {
112 "id": 0,
113 "name": "string"
114 },
115 "return_to_sender_primary_action": {
116 "id": 0,
117 "name": "string"
118 }
119 },
120 "sku": "string",
121 "status": "string",
122 "upc": "string",
123 "updated_on": "2019-08-24T14:15:22+00:00",
124 "weight": {
125 "unit": "string",
126 "weight": 0.1
127 }
128 }
129 ]
130 }
131]
Was this page helpful?
Previous

Update a single product with Json Merge Patch functionality

Next

Create single product to the store

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

SearchstringOptional
Search Products by name, sku, inventory id or product Id.
BarcodestringOptional
Barcode Associated with variant
CategoryIdslist of integersOptional
List of Category Ids associated with product
ChannelIdslist of integersOptional
Looks for Products variants by their channel IDs
HasDigitalVariantsbooleanOptional

Looks for Products with/without digital variants

HasVariantsbooleanOptional

Looks for Products with/without variants

InventoryIdlist of integersOptional
Looks for variants by its associated inventory id
LegacyIdslist of integersOptional

Looks for Products with by Legacy Product Id(s)

NamestringOptional

Looks for Products/Variants by name

OnHandintegerOptional
Looks for Products with inventory
PlatformIdslist of stringsOptional
Looks for Products variants by their external Platform IDs
ProductIdlist of integersOptional
Looks for Products with an assigned Id
ProductTypeintegerOptional
Looks for Products by type
SalesChannellist of stringsOptional

Looks for Products variants assigned to a platform/sales channel

LastUpdatedTimestampstringOptional
Looks for Products that have been updated since the given date
SellerSKUEvaludatorstringOptional
Looks for Products that match the provided Seller query
SKUstringOptional
Looks for Products that match the provided Sku query
VariantIdanyOptional
Looks for products that contain a variant with the given ID
VariantStatusstringOptional
Looks for Products with variants that contain provided status

Response

Success
categoryobject
created_ondatetime
idlong
namestring
sub_categoryobject
typestring
updated_ondatetime
user_idlong
variantslist of objects

Errors

400
Bad Request Error
404
Not Found Error